PM79168: Upgraded, mixed collectives in WebSphere DataPower XC10 Appliance do not initialize.

Subscribe to this APAR

By subscribing, you receive periodic emails alerting you to the status of the APAR, along with a link to the fix after it becomes available. You can track this item individually or track all items by product.

Notify me when this APAR changes.

Notify me when an APAR for this component changes.

APAR status

  • Closed as program error.

Error description

  • When you upgrade data grids in a mixed collective, those data
    grids do not initialize when security is enabled.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  This problem occurs during rolling          *
    *                  upgrades when you have a previous version   *
    *                  of eXtreme Scale, such as V8.5 installed    *
    *                  on a domain with at least two data grid     *
    *                  servers and security is enabled.            *
    ****************************************************************
    * PROBLEM DESCRIPTION: During a rolling upgrade, data grids    *
    *                      do not communicate within the domain    *
    *                      because of backward compatibility       *
    *                      issues.                                 *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    This problem affects eXtreme Scale distributed data grids that
    consist of more than one server in the domain, where data grid
    security is enabled.
    If you have a previous version of eXtreme Scale, such as V8.5,
    installed on a domain with at least two data grid servers, then
    during the rolling upgrade, one of the servers might be
    upgraded to V8.6, and other servers might still be on V8.5 or a
    previous release. Then, data grids do not communicate among
    the domain because of security code changes that introduce
    backward compatibility issues.
    

Problem conclusion

  • This fix rolls back the changes made from the security
    component, which fixes the backward compatibility issue.
    

Temporary fix

Comments

APAR Information

  • APAR number

    PM79168

  • Reported component name

    WS EXTREME SCAL

  • Reported component ID

    5724X6702

  • Reported release

    860

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2012-12-13

  • Closed date

    2013-06-17

  • Last modified date

    2013-06-17

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    WS EXTREME SCAL

  • Fixed component ID

    5724X6702

Applicable component levels

  • R860 PSY

       UP



Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

WebSphere eXtreme Scale

Software version:

860

Reference #:

PM79168

Modified date:

2013-06-17

Translate my page

Machine Translation

Content navigation